Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERSubtypeRelationship

    com.change_vision.jude.api.inf.model.IERSubtypeRelationship

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IERSubtypeRelationship

extends INamedElement

Interface for ERSubtypeRelationship.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IEREntity` | `getChild()` Get Child Entity.
`abstract IERAttribute` | `getDiscriminatorAttribute()` Get Identifier Attribute.
`abstract IERAttribute[]` | `getForeignKeys()` Get foreign keys.
`abstract String` | `getLogicalName()` Get Logical Name.
`abstract IEREntity` | `getParent()` Get Parent Entity.
`abstract String` | `getPhysicalName()` Get Physical Name.
`abstract boolean` | `isConclusive()` Check if the relationship is Conclusive.
`abstract void` | `setConclusive(boolean isConclusive)` Set Conclusive.
`abstract void` | `setDiscriminatorAttribute(IERAttribute discriminatorAttribute)` Set Discriminator Attribute.
`abstract void` | `setLogicalName(String name)` Set Logical Name.
`abstract void` | `setPhysicalName(String name)` Set Physical Name.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLogicalName

    abstract String getLogicalName()

  Get Logical Name.

  Returns:
    Logical Name.

### getPhysicalName

    abstract String getPhysicalName()

  Get Physical Name.

  Returns:
    Physical Name. Return an empty string in case there is none.

### getDiscriminatorAttribute

    abstract IERAttribute getDiscriminatorAttribute()

  Get Identifier Attribute.

  Returns:
    Identifier Attribute. Return null in case there is none.

### isConclusive

    abstract boolean isConclusive()

  Check if the relationship is Conclusive.

  Returns:
    true it is Conclusive / false it is not Conclusive

### getParent

    abstract IEREntity getParent()

  Get Parent Entity.

  Returns:
    Parent Entity.

### getChild

    abstract IEREntity getChild()

  Get Child Entity.

  Returns:
    Child Entity.

### getForeignKeys

    abstract IERAttribute[] getForeignKeys()

  Get foreign keys.

  Returns:
    the array of foreign keys. Return the empty array if there is none.

### setLogicalName

    abstract void setLogicalName(String name)

  Set Logical Name.

  Parameters:
    `name` - Logical Name. should NOT be null
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPhysicalName

    abstract void setPhysicalName(String name)

  Set Physical Name.

  Parameters:
    `name` - Logical Name.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDiscriminatorAttribute

    abstract void setDiscriminatorAttribute(IERAttribute discriminatorAttribute)

  Set Discriminator Attribute.

  Parameters:
    `discriminatorAttribute` - Discriminator Attribute, should NOT be null
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setConclusive

    abstract void setConclusive(boolean isConclusive)

  Set Conclusive.

  Parameters:
    `isConclusive` - if true, it is conclusive, otherwise, it is not conclusive.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
               READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD